Subject: Re: [PATCH] net: tsi108: Prevent compiler warning

From: Thierry Reding <[email-masked]>
Date: Thu, 19 Sep 2013 13:14:06 +0200

On Wed, Sep 18, 2013 at 12:38:53PM -0400, David Miller wrote:
> From: Thierry Reding <[email-masked]>
> Date: Wed, 18 Sep 2013 14:49:55 +0200
> 
> > The dump_eth_one() function is only used if DEBUG is enabled, so protect
> > it by a corresponding #ifdef DEBUG block.
> > 
> > Signed-off-by: Thierry Reding <[email-masked]>
> 
> I would prefer that this function and the one call site is simply
> removed instead.
> 
> This kind of thing can be provided via ethtool register dumps
> and therefore without all of the ugliness this ad-hoc stuff
> presents.

I just noticed the warning during some test builds I was doing due to
some unrelated patches and thought I'd clean it up along the way.

I'll send a patch to remove the functionality completely if that's what
you prefer, but I won't be able to reimplement it using ethtool. Perhaps
someone with actual hardware can do that.

Thierry